classification
Title: IDLE - Test Replace Dialog
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Saimadhav.Heblikar, jesstess, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2014-06-06 06:36 by Saimadhav.Heblikar, last changed 2016-05-18 00:05 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
test-replace-34.diff Saimadhav.Heblikar, 2014-06-06 06:36 review
Messages (3)
msg219863 - (view) Author: Saimadhav Heblikar (Saimadhav.Heblikar) * Date: 2014-06-06 06:36
Add unittest for idlelib's replace dialog.
7 lines related to replacedialog logic could not be tested. Any input on how to test those lines?

Running the test suite for idlelib emits:
"ttk::ThemeChanged"
invalid command name "3069198412callit"
    while executing
"3069198412callit"
    ("after" script)
invalid command name "3051229868callit"
    while executing
"3051229868callit"
    ("after" script), 

though the tests pass. 


If this is fine, will post a 2.7 backport.
msg265792 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-17 23:58
New changeset d8ed90a35505 by Terry Jan Reedy in branch '3.5':
Issue #21676: test IDLE replace dialog.  Original patch by Saimadhav Heblikar.
https://hg.python.org/cpython/rev/d8ed90a35505
msg265794 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-05-18 00:05
The 'Theme changed' message is maddening.  I verified that is was not occurring without this patch.  I made sure all widgets were passed cls.root as master, and that all were delected.  Running the class with "def test_dummy(self): pass" and all other methods commented out did not result in the message.  So setup and teardown do not, in themselves, cause it.  Running the first test, test_simple up to the point where a replace function is caused did not trigger the message.  Running most any replace funcition does trigger.  The base dialog and search tests do not trigger, so merely creating an engine did not.  One new thing in replace test is tests using REs.

Anyway, pushed slightly modified files.  I am no longer backporting 'routine' patches to 2.7.
History
Date User Action Args
2016-05-18 00:05:50terry.reedysetstatus: open -> closed

assignee: terry.reedy
versions: + Python 3.6, - Python 2.7, Python 3.4
messages: + msg265794
type: enhancement
resolution: fixed
stage: resolved
2016-05-17 23:58:35python-devsetnosy: + python-dev
messages: + msg265792
2014-06-06 06:36:35Saimadhav.Heblikarcreate